Displaying 18 results from an estimated 18 matches for "fuamode".
2020 May 22
6
[PATCH nbdkit 0/4] Add fuamode=pass and fuamode=discard
Two hopefully useful additions to the fua filter. The second one is
kind of like cache=unsafe in qemu, in that it exchanges correctness
for speed. Useful for data which is easily recreated in the event of
a crash or for people who like living on the edge and have good
backups.
Rich.
2020 May 22
0
[PATCH nbdkit 4/4] fua: Add unsafe fuamode=discard.
...to test client or
+server fallbacks, and for evaluating timing differences between proper
+use of FUA compared to a full flush.
=head1 PARAMETERS
@@ -53,6 +55,15 @@ returns C<NBDKIT_FUA_NONE>.
Pass through FUA and flush requests unchanged. Turns the filter into
a no-op.
+=item B<fuamode=discard>
+
+The filter will discard FUA and flush requests.
+
+B<This mode is unsafe>: If the NBD disk contains a filesystem then you
+will likely lose data in the event of a crash. It should only be used
+for ephemeral data which you can easily recreate, such as caches,
+builds, test dat...
2020 May 26
1
Re: [PATCH nbdkit 4/4] fua: Add unsafe fuamode=discard.
...ating timing differences between proper
> +use of FUA compared to a full flush.
>
> =head1 PARAMETERS
>
> @@ -53,6 +55,15 @@ returns C<NBDKIT_FUA_NONE>.
> Pass through FUA and flush requests unchanged. Turns the filter into
> a no-op.
>
> +=item B<fuamode=discard>
> +
> +The filter will discard FUA and flush requests.
> +
> +B<This mode is unsafe>: If the NBD disk contains a filesystem then you
> +will likely lose data in the event of a crash. It should only be used
> +for ephemeral data which you can easily recreate, suc...
2018 Sep 07
0
[PATCH nbdkit 3/6] file: Make the file= parameter into a magic config key.
...nbdkit will be emulating FUA with a
flush, by comparing the log filter output on top of different fua
filter modes:
- nbdkit --filter=blocksize --filter=log --filter=fua file file=disk.img \
+ nbdkit --filter=blocksize --filter=log --filter=fua file disk.img \
maxlen=4k logfile=fua_emulated fuamode=emulate
- nbdkit --filter=blocksize --filter=log --filter=fua file file=disk.img \
+ nbdkit --filter=blocksize --filter=log --filter=fua file disk.img \
maxlen=4k logfile=fua_native fuamode=native
Serve the file F<disk.img> in write-through mode, where all writes
from the client are i...
2018 Sep 08
0
[PATCH nbdkit v2 3/6] file: Make the file= parameter into a magic config key.
...nbdkit will be emulating FUA with a
flush, by comparing the log filter output on top of different fua
filter modes:
- nbdkit --filter=blocksize --filter=log --filter=fua file file=disk.img \
+ nbdkit --filter=blocksize --filter=log --filter=fua file disk.img \
maxlen=4k logfile=fua_emulated fuamode=emulate
- nbdkit --filter=blocksize --filter=log --filter=fua file file=disk.img \
+ nbdkit --filter=blocksize --filter=log --filter=fua file disk.img \
maxlen=4k logfile=fua_native fuamode=native
Serve the file F<disk.img> in write-through mode, where all writes
from the client are i...
2018 Sep 07
7
[PATCH nbdkit 0/6] plugins: Implement magic config key.
Remove the need to use file= (and in future other) parameters for many
plugins. eg. Using the file plugin becomes:
nbdkit file disk.img
Rich.
2018 Sep 11
0
[PATCH nbdkit 4/4] tests: Add a helper function which waits for nbdkit to start up.
...ts/test-fua.sh
index f95aa18..88c14b5 100755
--- a/tests/test-fua.sh
+++ b/tests/test-fua.sh
@@ -31,6 +31,7 @@
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
+source functions.sh
set -e
set -x
@@ -83,34 +84,22 @@ trap cleanup INT QUIT TERM EXIT ERR
# 2: fuamode=emulate: log shows that blocksize optimizes fua to flush
# 3: fuamode=native: log shows that blocksize preserves fua
# 4: fuamode=force: log shows that fua is always enabled
-nbdkit -P fua1.pid -U fua1.sock --filter=log --filter=fua \
- file logfile=fua1.log fua.img
-nbdkit -P fua2.pid -U f...
2018 Sep 08
8
[PATCH nbdkit v2 0/6] plugins: Implement magic config key.
v1 was here:
https://www.redhat.com/archives/libguestfs/2018-September/msg00024.html
v2:
- As discussed in the patch review, tighten up the characters
permitted in keys.
- Update documentation to note that relative paths can be made
safe by prefixing with ./ and absolute paths do not need any
extra steps.
- I pushed patch 1/6 from the v1 series since it was just a trivial
2018 Sep 10
7
[PATCH nbdkit v3 0/6] plugins: Implement magic config key.
v1: https://www.redhat.com/archives/libguestfs/2018-September/msg00024.html
v2: https://www.redhat.com/archives/libguestfs/2018-September/msg00034.html
v3:
- Fixed is_config_key zero length test.
- Fixed is_config_key so it uses strspn and is not O(n^2).
- Changed >= 1.7 to >= 1.8 in the documentation.
Rich.
2018 Sep 13
0
[PATCH v2 nbdkit 5/5] tests: Add a helper function which waits for nbdkit to start up.
...mp;& kill $pid3
- test "$pid4" && kill $pid4
- # For easier debugging, dump the final log files before removing them.
echo "Log 1 file contents:"
cat fua1.log || :
echo "Log 2 file contents:"
@@ -78,34 +72,18 @@ cleanup_fn cleanup
# 2: fuamode=emulate: log shows that blocksize optimizes fua to flush
# 3: fuamode=native: log shows that blocksize preserves fua
# 4: fuamode=force: log shows that fua is always enabled
-nbdkit -P fua1.pid -U fua1.sock --filter=log --filter=fua \
- file logfile=fua1.log fua.img
-nbdkit -P fua2.pid -U f...
2018 Sep 11
7
[PATCH nbdkit 0/4] tests: Move common functions into tests/functions.sh
Combine much common code into tests/functions.sh.
Patch 1: Preparation for patch 3.
Patch 2: Fix a long-standing bug in how man pages links are generated.
Patch 3: Common code for iterating a test function over every plugin.
Patch 4: Common code for starting nbdkit in a test and waiting for the
PID file to appear. This is the largest and most complex of
the patches but is
2018 Mar 08
19
[nbdkit PATCH v3 00/15] Add FUA support to nbdkit
After more than a month since v2 [1], I've finally got my FUA
support series polished. This is all of my outstanding patches,
even though some of them were originally posted in separate
threads from the original FUA post [2], [3]
[1] https://www.redhat.com/archives/libguestfs/2018-January/msg00113.html
[2] https://www.redhat.com/archives/libguestfs/2018-January/msg00219.html
[3]
2020 Aug 27
0
ANNOUNCE: nbdkit 1.22 - high performance NBD server
...hich is
deprecated and will be removed in nbdkit 1.26.
New nbdkit-tls-fallback-filter(1) provides alternate content when a
client connects without using TLS to a server that permits but does not
require TLS (Eric Blake).
nbdkit-fua-filter(1) has new option "fuamode=pass" to pass through FUA
and flush requests unchanged (disabling the filter). A new, unsafe
"fuamode=discard" mode was added which discards FUA and flush requests.
Language bindings
New nbdkit-cc-plugin(3) lets you write small nbdkit plugins as inline...
2018 Sep 13
8
[PATCH v2 nbdkit 0/5] tests: Move common functions into tests/functions.sh
v1 was here:
https://www.redhat.com/archives/libguestfs/2018-September/msg00057.html
v2:
- Fix tab vs spaces in configure.ac.
- To generate list of plugins, use printf instead of xargs.
- Use 'source ./functions.sh' instead of 'source functions'.
- functions.sh: Consistent quoting in foreach_plugin function.
- functions.sh: Change the contract of start_nbdkit so it
2020 May 21
1
RPM package builds backed by nbdkit
Context:
https://bugzilla.redhat.com/show_bug.cgi?id=1837809#c28
https://rwmj.wordpress.com/2020/03/21/new-nbdkit-remote-tmpfs-tmpdisk-plugin/
http://libguestfs.org/nbdkit-tmpdisk-plugin.1.html
https://github.com/libguestfs/nbdkit/blob/0632acc76bfeb7d70d3eefa42fc842ce6b7be4f8/plugins/tmpdisk/tmpdisk.c#L182
I did a bit of testing to try to see if this is really feasible, and
yes I think it is.
2019 May 17
0
[nbdkit PATCH 3/3] filters: Use only .thread_model, not THREAD_MODEL
.../* rate, 0.0 = never, 1.0 = always */
diff --git a/filters/fua/fua.c b/filters/fua/fua.c
index 120ff0a..9d0e561 100644
--- a/filters/fua/fua.c
+++ b/filters/fua/fua.c
@@ -41,8 +41,6 @@
#include <nbdkit-filter.h>
-#define THREAD_MODEL NBDKIT_THREAD_MODEL_PARALLEL
-
static enum FuaMode {
NONE,
EMULATE,
diff --git a/filters/log/log.c b/filters/log/log.c
index 133e352..9c0f35c 100644
--- a/filters/log/log.c
+++ b/filters/log/log.c
@@ -47,8 +47,6 @@
#include "cleanup.h"
-#define THREAD_MODEL NBDKIT_THREAD_MODEL_PARALLEL
-
static uint64_t connections;
static char...
2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...uot; && kill $pid3
@@ -73,10 +70,8 @@ cleanup ()
echo "Log 4 file contents:"
cat fua4.log || :
rm -f $files
-
- exit $status
}
-trap cleanup INT QUIT TERM EXIT ERR
+cleanup_fn cleanup
# Run four parallel nbdkit; to compare the logs and see what changes.
# 1: fuamode=none (default): client should send flush instead
diff --git a/tests/test-log.sh b/tests/test-log.sh
index f811de4..5ad5f22 100755
--- a/tests/test-log.sh
+++ b/tests/test-log.sh
@@ -31,6 +31,7 @@
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
+source ./funct...
2019 May 17
4
[nbdkit PATCH 0/3] Add noparallel filter
Being able to programmatically force nbdkit to be less parallel can be
useful during testing. I was less sure about patch 3, but if you like
it, I'm inclined to instead squash it into patch 1. This patch is
written to apply after my NBD_CMD_CACHE work (since I touched the
nocache filter); but can be rearranged if we think this series should
go in first while that one undergoes any adjustments